Generation Framework

## org.eclipse.gmf.mappings.impl
Class CanvasMappingImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.mappings.impl.CanvasMappingImpl

All Implemented Interfaces:
  CanvasMapping, EObject, InternalEObject, Notifier

public class CanvasMappingImpl
extends EObjectImpl
implements CanvasMapping

An implementation of the model object 'Canvas Mapping'.

The following features are implemented:

- `Diagram Canvas`
- `Domain Model`
- `Domain Meta Element`
- `Palette`
- `Menu Contributions`
- `Toolbar Contributions`

** Generated **

Nested Class Summary

Nested classes inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList`

Nested classes inherited from class org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected Canvas` `diagramCanvas` The cached value of the '`Diagram Canvas`' reference
`protected EClass` `domainMetaElement` The cached value of the '`Domain Meta Element`' reference
`protected EPackage` `domainModel` The cached value of the '`Domain Model`' reference
`protected EList` `menuContributions` The cached value of the '`Menu Contributions`' reference list
`protected Palette` `palette` The cached value of the '`Palette`' reference
`protected EList` `toolbarContributions` The cached value of the '`Toolbar Contributions`' reference list

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `CanvasMappingImpl()`

Method Summary
`Canvas` `basicGetDiagramCanvas()`
`EClass` `basicGetDomainMetaElement()`
`EPackage` `basicGetDomainModel()`
`Palette` `basicGetPalette()`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`Canvas` `getDiagramCanvas()`
`EClass` `getDomainMetaElement()`
`EPackage` `getDomainModel()`
`EList` `getMenuContributions()`
`Palette` `getPalette()`
`EList` `getToolbarContributions()`
`void` `setDiagramCanvas(Canvas newDiagramCanvas)`
`void` `setDomainMetaElement(EClass newDomainMetaElement)`
`void` `setDomainModel(EPackage newDomainModel)`
`void` `setPalette(Palette newPalette)`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### diagramCanvas

    protected Canvas diagramCanvas

  The cached value of the '`Diagram Canvas`' reference.

  See Also:
    `CanvasMappingImpl.getDiagramCanvas()`
  ** Generated **
  Ordered:

### domainModel

    protected EPackage domainModel

  The cached value of the '`Domain Model`' reference.

  See Also:
    `CanvasMappingImpl.getDomainModel()`
  ** Generated **
  Ordered:

### domainMetaElement

    protected EClass domainMetaElement

  The cached value of the '`Domain Meta Element`' reference.

  See Also:
    `CanvasMappingImpl.getDomainMetaElement()`
  ** Generated **
  Ordered:

### palette

    protected Palette palette

  The cached value of the '`Palette`' reference.

  See Also:
    `CanvasMappingImpl.getPalette()`
  ** Generated **
  Ordered:

### menuContributions

    protected EList menuContributions

  The cached value of the '`Menu Contributions`' reference list.

  See Also:
    `CanvasMappingImpl.getMenuContributions()`
  ** Generated **
  Ordered:

### toolbarContributions

    protected EList toolbarContributions

  The cached value of the '`Toolbar Contributions`' reference list.

  See Also:
    `CanvasMappingImpl.getToolbarContributions()`
  ** Generated **
  Ordered:

Constructor Detail

### CanvasMappingImpl

    protected CanvasMappingImpl()

** Generated **

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  ** Generated **

### getDiagramCanvas

    public Canvas getDiagramCanvas()

  Specified by:
    `getDiagramCanvas` in interface `CanvasMapping`
  Returns:
    the value of the 'Diagram Canvas' reference.
  See Also:
    `CanvasMapping.setDiagramCanvas(Canvas)`, `GMFMapPackage.getCanvasMapping_DiagramCanvas()`
  ** Generated **

### basicGetDiagramCanvas

    public Canvas basicGetDiagramCanvas()

  ** Generated **

### setDiagramCanvas

    public void setDiagramCanvas(Canvas newDiagramCanvas)

  Specified by:
    `setDiagramCanvas` in interface `CanvasMapping`
  Parameters:
    `newDiagramCanvas` - the new value of the 'Diagram Canvas' reference.
  See Also:
    `CanvasMapping.getDiagramCanvas()`
  ** Generated **

### getDomainModel

    public EPackage getDomainModel()

  Specified by:
    `getDomainModel` in interface `CanvasMapping`
  Returns:
    the value of the 'Domain Model' reference.
  See Also:
    `CanvasMapping.setDomainModel(EPackage)`, `GMFMapPackage.getCanvasMapping_DomainModel()`
  ** Generated **

### basicGetDomainModel

    public EPackage basicGetDomainModel()

  ** Generated **

### setDomainModel

    public void setDomainModel(EPackage newDomainModel)

  Specified by:
    `setDomainModel` in interface `CanvasMapping`
  Parameters:
    `newDomainModel` - the new value of the 'Domain Model' reference.
  See Also:
    `CanvasMapping.getDomainModel()`
  ** Generated **

### getDomainMetaElement

    public EClass getDomainMetaElement()

  Specified by:
    `getDomainMetaElement` in interface `CanvasMapping`
  Returns:
    the value of the 'Domain Meta Element' reference.
  See Also:
    `CanvasMapping.setDomainMetaElement(EClass)`, `GMFMapPackage.getCanvasMapping_DomainMetaElement()`
  ** Generated **

### basicGetDomainMetaElement

    public EClass basicGetDomainMetaElement()

  ** Generated **

### setDomainMetaElement

    public void setDomainMetaElement(EClass newDomainMetaElement)

  Specified by:
    `setDomainMetaElement` in interface `CanvasMapping`
  Parameters:
    `newDomainMetaElement` - the new value of the 'Domain Meta Element' reference.
  See Also:
    `CanvasMapping.getDomainMetaElement()`
  ** Generated **

### getPalette

    public Palette getPalette()

  Specified by:
    `getPalette` in interface `CanvasMapping`
  Returns:
    the value of the 'Palette' reference.
  See Also:
    `CanvasMapping.setPalette(Palette)`, `GMFMapPackage.getCanvasMapping_Palette()`
  ** Generated **

### basicGetPalette

    public Palette basicGetPalette()

  ** Generated **

### setPalette

    public void setPalette(Palette newPalette)

  Specified by:
    `setPalette` in interface `CanvasMapping`
  Parameters:
    `newPalette` - the new value of the 'Palette' reference.
  See Also:
    `CanvasMapping.getPalette()`
  ** Generated **

### getMenuContributions

    public EList getMenuContributions()

  Specified by:
    `getMenuContributions` in interface `CanvasMapping`
  Returns:
    the value of the 'Menu Contributions' reference list.
  See Also:
    `GMFMapPackage.getCanvasMapping_MenuContributions()`
  ** Generated **

### getToolbarContributions

    public EList getToolbarContributions()

  Specified by:
    `getToolbarContributions` in interface `CanvasMapping`
  Returns:
    the value of the 'Toolbar Contributions' reference list.
  See Also:
    `GMFMapPackage.getCanvasMapping_ToolbarContributions()`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.